# ignoreDependencyType method

void ignoreDependencyType(

1. Class type

)

Ignores the specified dependency type during autowiring.

This is useful for excluding certain types from automatic dependency resolution, such as framework types or types that should be manually wired.

Example:

    factory.ignoreDependencyType(Logger); // Ignore Logger dependencies

@param type The class type to ignore during dependency resolution

## Implementation

    void ignoreDependencyType(Class type) {
    		_ignoredDependencyTypes.add(type);
    	}